# Class GroupChannel.HeartbeatRunnable

java.lang.Object
org.apache.catalina.tribes.group.GroupChannel.HeartbeatRunnable

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  `GroupChannel`

public class GroupChannel.HeartbeatRunnable extends Object implements Runnable
Internal heartbeat runnable.

## Constructor Summary

Constructors
Constructor
Description
`HeartbeatRunnable()`
Default constructor for HeartbeatRunnable.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HeartbeatRunnable

public HeartbeatRunnable()
Default constructor for HeartbeatRunnable.

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`